Package org.apache.commons.imaging

## Class ImagingParameters

- java.lang.Object
- - org.apache.commons.imaging.ImagingParameters

- Direct Known Subclasses:
    `BmpImagingParameters`, `IcnsImagingParameters`, `IcoImagingParameters`, `PcxImagingParameters`, `PnmImagingParameters`, `PsdImagingParameters`, `RgbeImagingParameters`, `WbmpImagingParameters`, `XbmImagingParameters`, `XmpImagingParameters`, `XpmImagingParameters`

      public class ImagingParameters
      extends Object

  Imaging parameters.

  Contains parameters that are common to all formats. Implementations must include the specific parameters for each image format.

  Since:
    1.0-alpha3

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImagingParameters()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BufferedImageFactory` | `getBufferedImageFactory()` |
    `String` | `getFileName()` |
    `PixelDensity` | `getPixelDensity()` |
    `boolean` | `isStrict()` |
    `void` | `setBufferedImageFactory​(BufferedImageFactory bufferedImageFactory)` |
    `void` | `setFileName​(String fileName)` |
    `void` | `setPixelDensity​(PixelDensity pixelDensity)` |
    `void` | `setStrict​(boolean strict)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImagingParameters

          public ImagingParameters()

  - ### Method Detail

    - #### isStrict

          public boolean isStrict()

    - #### setStrict

          public void setStrict​(boolean strict)

    - #### getFileName

          public String getFileName()

    - #### setFileName

          public void setFileName​(String fileName)

    - #### getBufferedImageFactory

          public BufferedImageFactory getBufferedImageFactory()

    - #### setBufferedImageFactory

          public void setBufferedImageFactory​(BufferedImageFactory bufferedImageFactory)

    - #### getPixelDensity

          public PixelDensity getPixelDensity()

    - #### setPixelDensity

          public void setPixelDensity​(PixelDensity pixelDensity)